# coding: utf-8

"""
    Flat API

    The Flat API allows you to easily extend the abilities of the [Flat Platform](https://flat.io), with a wide range of use cases including the following:  * Creating and importing new music scores using MusicXML, MIDI, Guitar Pro (GP3, GP4, GP5, GPX, GP), PowerTab, TuxGuitar and MuseScore files * Browsing, updating, copying, exporting the user's scores (for example in MP3, WAV or MIDI) * Managing educational resources with Flat for Education: creating & updating the organization accounts, the classes, rosters and assignments.  The Flat API is built on HTTP. Our API is RESTful It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. The [schema](/swagger.yaml) of this API follows the [OpenAPI Initiative (OAI) specification](https://www.openapis.org/), you can use and work with [compatible Swagger tools](http://swagger.io/open-source-integrations/). This API features Cross-Origin Resource Sharing (CORS) implemented in compliance with [W3C spec](https://www.w3.org/TR/cors/).  You can use your favorite HTTP/REST library for your programming language to use Flat's API. This specification and reference is [available on Github](https://github.com/FlatIO/api-reference).  Getting Started and learn more:  * [API Overview and introduction](https://flat.io/developers/docs/api/) * [Authentication (Personal Access Tokens or OAuth2)](https://flat.io/developers/docs/api/authentication.html) * [SDKs](https://flat.io/developers/docs/api/sdks.html) * [Rate Limits](https://flat.io/developers/docs/api/rate-limits.html) * [Changelog](https://flat.io/developers/docs/api/changelog.html) 

    The version of the OpenAPI document: 2.20.0
    Contact: developers@flat.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from flat_api.models.assignment_submission import AssignmentSubmission

class TestAssignmentSubmission(unittest.TestCase):
    """AssignmentSubmission unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> AssignmentSubmission:
        """Test AssignmentSubmission
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `AssignmentSubmission`
        """
        model = AssignmentSubmission()
        if include_optional:
            return AssignmentSubmission(
                id = '',
                state = 'created',
                classroom = '',
                assignment = '',
                creator = '',
                creation_date = '',
                attachments = [
                    {"type":"video","url":"https://www.youtube.com/watch?v=SNbRUiBZ4Uw","title":"Flat - The online collaborative music notation software","description":"Discover Flat on https://flat.io","html":"<iframe width=\"560\" height=\"315\" src=\"https://www.youtube.com/embed/SNbRUiBZ4Uw\" frameborder=\"0\" allowfullscreen></iframe>","thumbnailUrl":"https://i.ytimg.com/vi/SNbRUiBZ4Uw/maxresdefault.jpg","thumbnailHeight":1052,"thumbnailWidth":1868,"authorName":"Flat","authorUrl":"https://www.youtube.com/channel/UCEUIbEP9Rba_g0r4eeGhmXw"}
                    ],
                submission_date = '',
                return_date = '',
                return_creator = '',
                grade = 1.337,
                draft_grade = 1.337,
                max_points = 1.337,
                exercises_ids = [
                    ''
                    ],
                playback = [
                    flat_api.models.assignment_submission_playback_inner.AssignmentSubmission_playback_inner(
                        score = '', 
                        nb_play_attempt = 1.337, )
                    ],
                comments = flat_api.models.assignment_submission_comments.AssignmentSubmission_comments(
                    total = 1.337, 
                    unread = 1.337, ),
                google_classroom = {"id":"CgsI-00000000000","state":"turned_in","alternateLink":"http://classroom.google.com/c/music-theory/a/first-assignment/submissions/student/my-submission"},
                microsoft_graph = {"id":"8e460d32-d2d4-46b3-8e1a-9b7677a48fda","state":"returned"},
                lti = flat_api.models.assignment_submission_lti.AssignmentSubmission_lti(
                    sourcedid = '', )
            )
        else:
            return AssignmentSubmission(
                id = '',
                state = 'created',
                classroom = '',
                assignment = '',
                creator = '',
                creation_date = '',
                attachments = [
                    {"type":"video","url":"https://www.youtube.com/watch?v=SNbRUiBZ4Uw","title":"Flat - The online collaborative music notation software","description":"Discover Flat on https://flat.io","html":"<iframe width=\"560\" height=\"315\" src=\"https://www.youtube.com/embed/SNbRUiBZ4Uw\" frameborder=\"0\" allowfullscreen></iframe>","thumbnailUrl":"https://i.ytimg.com/vi/SNbRUiBZ4Uw/maxresdefault.jpg","thumbnailHeight":1052,"thumbnailWidth":1868,"authorName":"Flat","authorUrl":"https://www.youtube.com/channel/UCEUIbEP9Rba_g0r4eeGhmXw"}
                    ],
                playback = [
                    flat_api.models.assignment_submission_playback_inner.AssignmentSubmission_playback_inner(
                        score = '', 
                        nb_play_attempt = 1.337, )
                    ],
                comments = flat_api.models.assignment_submission_comments.AssignmentSubmission_comments(
                    total = 1.337, 
                    unread = 1.337, ),
        )
        """

    def testAssignmentSubmission(self):
        """Test AssignmentSubmission"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
