# coding: utf-8

"""
    Flat API

    The Flat API allows you to easily extend the abilities of the [Flat Platform](https://flat.io), with a wide range of use cases including the following:  * Creating and importing new music scores using MusicXML, MIDI, Guitar Pro (GP3, GP4, GP5, GPX, GP), PowerTab, TuxGuitar and MuseScore files * Browsing, updating, copying, exporting the user's scores (for example in MP3, WAV or MIDI) * Managing educational resources with Flat for Education: creating & updating the organization accounts, the classes, rosters and assignments.  The Flat API is built on HTTP. Our API is RESTful It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. The [schema](/swagger.yaml) of this API follows the [OpenAPI Initiative (OAI) specification](https://www.openapis.org/), you can use and work with [compatible Swagger tools](http://swagger.io/open-source-integrations/). This API features Cross-Origin Resource Sharing (CORS) implemented in compliance with [W3C spec](https://www.w3.org/TR/cors/).  You can use your favorite HTTP/REST library for your programming language to use Flat's API. This specification and reference is [available on Github](https://github.com/FlatIO/api-reference).  Getting Started and learn more:  * [API Overview and introduction](https://flat.io/developers/docs/api/) * [Authentication (Personal Access Tokens or OAuth2)](https://flat.io/developers/docs/api/authentication.html) * [SDKs](https://flat.io/developers/docs/api/sdks.html) * [Rate Limits](https://flat.io/developers/docs/api/rate-limits.html) * [Changelog](https://flat.io/developers/docs/api/changelog.html) 

    The version of the OpenAPI document: 2.20.0
    Contact: developers@flat.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from flat_api.api.edu_resources_api import EduResourcesApi


class TestEduResourcesApi(unittest.TestCase):
    """EduResourcesApi unit test stubs"""

    def setUp(self) -> None:
        self.api = EduResourcesApi()

    def tearDown(self) -> None:
        pass

    def test_copy_edu_resource(self) -> None:
        """Test case for copy_edu_resource

        Copy an education resource to a Resource Library
        """
        pass

    def test_copy_edu_resource_to_demo_class(self) -> None:
        """Test case for copy_edu_resource_to_demo_class

        Copy an education assignment to a teacher demo class
        """
        pass

    def test_create_edu_resource(self) -> None:
        """Test case for create_edu_resource

        Create a new education resource
        """
        pass

    def test_create_edu_resource_lti_link(self) -> None:
        """Test case for create_edu_resource_lti_link

        Create an LTI link for an education resource
        """
        pass

    def test_delete_edu_resource(self) -> None:
        """Test case for delete_edu_resource

        Delete an education resource
        """
        pass

    def test_get_edu_resource(self) -> None:
        """Test case for get_edu_resource

        Get an education resource
        """
        pass

    def test_list_edu_libraries(self) -> None:
        """Test case for list_edu_libraries

        List the education libraries
        """
        pass

    def test_list_edu_resources(self) -> None:
        """Test case for list_edu_resources

        List education resources in a library or folder
        """
        pass

    def test_move_edu_resource(self) -> None:
        """Test case for move_edu_resource

        Move an education resource
        """
        pass

    def test_update_edu_resource(self) -> None:
        """Test case for update_edu_resource

        Update an education resource metadata
        """
        pass

    def test_update_edu_resource_assignment(self) -> None:
        """Test case for update_edu_resource_assignment

        Update an education resource assignment
        """
        pass

    def test_use_edu_resource_in_class(self) -> None:
        """Test case for use_edu_resource_in_class

        Use an education resource in a class
        """
        pass


if __name__ == '__main__':
    unittest.main()
