# coding: utf-8

"""
    Flat API

    The Flat API allows you to easily extend the abilities of the [Flat Platform](https://flat.io), with a wide range of use cases including the following:  * Creating and importing new music scores using MusicXML, MIDI, Guitar Pro (GP3, GP4, GP5, GPX, GP), PowerTab, TuxGuitar and MuseScore files * Browsing, updating, copying, exporting the user's scores (for example in MP3, WAV or MIDI) * Managing educational resources with Flat for Education: creating & updating the organization accounts, the classes, rosters and assignments.  The Flat API is built on HTTP. Our API is RESTful It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. The [schema](/swagger.yaml) of this API follows the [OpenAPI Initiative (OAI) specification](https://www.openapis.org/), you can use and work with [compatible Swagger tools](http://swagger.io/open-source-integrations/). This API features Cross-Origin Resource Sharing (CORS) implemented in compliance with [W3C spec](https://www.w3.org/TR/cors/).  You can use your favorite HTTP/REST library for your programming language to use Flat's API. This specification and reference is [available on Github](https://github.com/FlatIO/api-reference).  Getting Started and learn more:  * [API Overview and introduction](https://flat.io/developers/docs/api/) * [Authentication (Personal Access Tokens or OAuth2)](https://flat.io/developers/docs/api/authentication.html) * [SDKs](https://flat.io/developers/docs/api/sdks.html) * [Rate Limits](https://flat.io/developers/docs/api/rate-limits.html) * [Changelog](https://flat.io/developers/docs/api/changelog.html) 

    The version of the OpenAPI document: 2.20.0
    Contact: developers@flat.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from flat_api.models.resource_collaborator import ResourceCollaborator

class TestResourceCollaborator(unittest.TestCase):
    """ResourceCollaborator unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> ResourceCollaborator:
        """Test ResourceCollaborator
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `ResourceCollaborator`
        """
        model = ResourceCollaborator()
        if include_optional:
            return ResourceCollaborator(
                acl_read = True,
                acl_write = True,
                acl_admin = True,
                is_collaborator = True,
                collaborator_type = 'owner',
                id = '',
                var_date = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                score = '',
                collection = '',
                user = flat_api.models.user_public.UserPublic(
                    id = '', 
                    type = 'user', 
                    product = 'flat', 
                    username = '', 
                    printable_name = '', 
                    firstname = '', 
                    lastname = '', 
                    name = '', 
                    picture = '', 
                    badges = [
                        ''
                        ], 
                    organization = '', 
                    organization_role = 'admin', 
                    class_role = 'teacher', 
                    html_url = '', 
                    bio = '', 
                    registration_date = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    liked_scores_count = 56, 
                    followers_count = 56, 
                    following_count = 56, 
                    owned_public_scores_count = 56, 
                    cover_picture = '', 
                    profile_theme = '', 
                    instruments = [
                        ''
                        ], 
                    links = flat_api.models.user_community_profile_links.UserCommunityProfileLinks(
                        spotify_url = '', 
                        youtube_url = '', 
                        soundcloud_url = '', 
                        tiktok_url = '', 
                        instagram_url = '', 
                        website_url = '', ), ),
                group = {"id":"0000000000000000000000043","name":"5th grade","type":"classTeachers","userCount":24,"readOnly":true,"organization":"0000000000000000000000042","creationDate":"2015-01-19T00:22:02.387000Z"},
                user_email = '',
                invited = True
            )
        else:
            return ResourceCollaborator(
                acl_read = True,
                acl_write = True,
                acl_admin = True,
                is_collaborator = True,
        )
        """

    def testResourceCollaborator(self):
        """Test ResourceCollaborator"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
