# coding: utf-8

"""
    Flat API

    The Flat API allows you to easily extend the abilities of the [Flat Platform](https://flat.io), with a wide range of use cases including the following:  * Creating and importing new music scores using MusicXML, MIDI, Guitar Pro (GP3, GP4, GP5, GPX, GP), PowerTab, TuxGuitar and MuseScore files * Browsing, updating, copying, exporting the user's scores (for example in MP3, WAV or MIDI) * Managing educational resources with Flat for Education: creating & updating the organization accounts, the classes, rosters and assignments.  The Flat API is built on HTTP. Our API is RESTful It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. The [schema](/swagger.yaml) of this API follows the [OpenAPI Initiative (OAI) specification](https://www.openapis.org/), you can use and work with [compatible Swagger tools](http://swagger.io/open-source-integrations/). This API features Cross-Origin Resource Sharing (CORS) implemented in compliance with [W3C spec](https://www.w3.org/TR/cors/).  You can use your favorite HTTP/REST library for your programming language to use Flat's API. This specification and reference is [available on Github](https://github.com/FlatIO/api-reference).  Getting Started and learn more:  * [API Overview and introduction](https://flat.io/developers/docs/api/) * [Authentication (Personal Access Tokens or OAuth2)](https://flat.io/developers/docs/api/authentication.html) * [SDKs](https://flat.io/developers/docs/api/sdks.html) * [Rate Limits](https://flat.io/developers/docs/api/rate-limits.html) * [Changelog](https://flat.io/developers/docs/api/changelog.html) 

    The version of the OpenAPI document: 2.20.0
    Contact: developers@flat.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from flat_api.api.score_api import ScoreApi


class TestScoreApi(unittest.TestCase):
    """ScoreApi unit test stubs"""

    def setUp(self) -> None:
        self.api = ScoreApi()

    def tearDown(self) -> None:
        pass

    def test_add_score_collaborator(self) -> None:
        """Test case for add_score_collaborator

        Add a new collaborator
        """
        pass

    def test_add_score_track(self) -> None:
        """Test case for add_score_track

        Add a new video or audio track to the score
        """
        pass

    def test_create_export_task(self) -> None:
        """Test case for create_export_task

        Create a new score export task
        """
        pass

    def test_create_score(self) -> None:
        """Test case for create_score

        Create a new score
        """
        pass

    def test_create_score_revision(self) -> None:
        """Test case for create_score_revision

        Create a new revision
        """
        pass

    def test_delete_score(self) -> None:
        """Test case for delete_score

        Delete a score
        """
        pass

    def test_delete_score_comment(self) -> None:
        """Test case for delete_score_comment

        Delete a comment
        """
        pass

    def test_delete_score_track(self) -> None:
        """Test case for delete_score_track

        Remove an audio or video track linked to the score
        """
        pass

    def test_edit_score(self) -> None:
        """Test case for edit_score

        Edit a score's metadata
        """
        pass

    def test_fork_score(self) -> None:
        """Test case for fork_score

        Fork a score
        """
        pass

    def test_get_group_scores(self) -> None:
        """Test case for get_group_scores

        List group's scores
        """
        pass

    def test_get_score(self) -> None:
        """Test case for get_score

        Get a score's metadata
        """
        pass

    def test_get_score_collaborator(self) -> None:
        """Test case for get_score_collaborator

        Get a collaborator
        """
        pass

    def test_get_score_collaborators(self) -> None:
        """Test case for get_score_collaborators

        List the collaborators
        """
        pass

    def test_get_score_comments(self) -> None:
        """Test case for get_score_comments

        List comments
        """
        pass

    def test_get_score_revision(self) -> None:
        """Test case for get_score_revision

        Get a score revision
        """
        pass

    def test_get_score_revision_data(self) -> None:
        """Test case for get_score_revision_data

        Get a score revision data
        """
        pass

    def test_get_score_revisions(self) -> None:
        """Test case for get_score_revisions

        List the revisions
        """
        pass

    def test_get_score_submissions(self) -> None:
        """Test case for get_score_submissions

        List submissions related to the score
        """
        pass

    def test_get_score_track(self) -> None:
        """Test case for get_score_track

        Retrieve the details of an audio or video track linked to a score
        """
        pass

    def test_get_user_likes(self) -> None:
        """Test case for get_user_likes

        List liked scores
        """
        pass

    def test_get_user_scores(self) -> None:
        """Test case for get_user_scores

        List user's scores
        """
        pass

    def test_list_score_tracks(self) -> None:
        """Test case for list_score_tracks

        List the audio or video tracks linked to a score
        """
        pass

    def test_mark_score_comment_resolved(self) -> None:
        """Test case for mark_score_comment_resolved

        Mark the comment as resolved
        """
        pass

    def test_mark_score_comment_unresolved(self) -> None:
        """Test case for mark_score_comment_unresolved

        Mark the comment as unresolved
        """
        pass

    def test_post_score_comment(self) -> None:
        """Test case for post_score_comment

        Post a new comment
        """
        pass

    def test_remove_score_collaborator(self) -> None:
        """Test case for remove_score_collaborator

        Delete a collaborator
        """
        pass

    def test_untrash_score(self) -> None:
        """Test case for untrash_score

        Untrash a score
        """
        pass

    def test_update_score_comment(self) -> None:
        """Test case for update_score_comment

        Update an existing comment
        """
        pass

    def test_update_score_track(self) -> None:
        """Test case for update_score_track

        Update an audio or video track linked to a score
        """
        pass


if __name__ == '__main__':
    unittest.main()
